Hot News:

Unser Angebot:

  Foren auf CAD.de (alle Foren)
  
  Umgrenzungsflächen automatisch erstellen

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Umgrenzungsflächen automatisch erstellen (376 mal gelesen)
MIKZ
Mitglied


Sehen Sie sich das Profil von MIKZ an!   Senden Sie eine Private Message an MIKZ  Schreiben Sie einen Gästebucheintrag für MIKZ

Beiträge: 2
Registriert: 21.04.2020

erstellt am: 21. Apr. 2020 15:28    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo zusammen,

meine Fähigkeiten im Bereich iLogic/VBA reichen leider für diese Aufgabe nicht aus deswegen möchte ich hier um Hilfe bitten.

Ich möchte unseren Workflow optimieren indem ein VBA/iLogic Makro eine 2D-Skizze auf einem Volumenkörper erstellt und diese Skizze gleich dazu nutzt eine Umgrenzungsfläche daraus zu machen. Danach soll diese Fläche mit "Körper verschieben" in x/y/z Richtung durch Nutzereingabe verschoben werden.

Ist es überhaupt möglich das alles zu automatisieren?

Für jegliche Hilfe wäre ich SEHR dankbar.

Grüße und bleibt gesund!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

KraBBy
Mitglied
Maschinenbau-Ingenieur


Sehen Sie sich das Profil von KraBBy  an!   Senden Sie eine Private Message an KraBBy  Schreiben Sie einen Gästebucheintrag für KraBBy

Beiträge: 307
Registriert: 19.09.2007

Inventor Professional 2016
Win7

erstellt am: 21. Apr. 2020 22:44    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für MIKZ 10 Unities + Antwort hilfreich

Sorry, leider habe ich deutlich mehr Fragen als Antworten. Ich habe nicht verstanden, wo genau das hinführen soll. Wozu die verschobene umgrenzungsfläche? Was wird skizziert?
Hast du Beispiele, die du hoch laden kannst?

Grundsätzlich würde ich sagen, dass man über die API (am Ende egal ob VBA oder ilogic) Skizzen und Features erstellen kann.

------------------
Gruß KraBBy

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

rkauskh
Moderator
Dipl.-Ing. (FH) Versorgungstechnik


Sehen Sie sich das Profil von rkauskh an!   Senden Sie eine Private Message an rkauskh  Schreiben Sie einen Gästebucheintrag für rkauskh

Beiträge: 1600
Registriert: 15.11.2006

Windows 10 x64, Inventor 2020

erstellt am: 21. Apr. 2020 23:39    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für MIKZ 10 Unities + Antwort hilfreich

Moin

Das wozu hab ich auch nicht verstanden. Aber zuviel Wissen belastet nur. 
Da keine Basisfläche vorgegeben wird, muss der User eine auswählen. Und weil am Ende der User die Verschiebung machen soll, können wir den Befehl nur starten.
Ohne Plausi und/oder Fehlerbehandlung könnte man es grob so umsetzen:

Code:

Private Sub FaceGen()

Dim oDoc As PartDocument
Set oDoc = ThisApplication.ActiveDocument

Dim oFace As Face
Set oFace = ThisApplication.CommandManager.Pick(kPartFacePlanarFilter, "Select a planar face")

Dim oSketch As PlanarSketch
Set oSketch = oDoc.ComponentDefinition.Sketches.Add(oFace, True)

Call oSketch.Profiles.AddForSolid

Dim oBoundPatchdef As BoundaryPatchDefinition
Set oBoundPatchdef = oDoc.ComponentDefinition.Features.BoundaryPatchFeatures.CreateBoundaryPatchDefinition

Call oBoundPatchdef.BoundaryPatchLoops.Add(oSketch.Profiles.Item(1))

Dim oBoundPatch As BoundaryPatchFeature
Set oBoundPatch = oDoc.ComponentDefinition.Features.BoundaryPatchFeatures.Add(oBoundPatchdef)

Call oDoc.SelectSet.Select(oBoundPatch.SurfaceBodies.Item(1))

Call ThisApplication.CommandManager.ControlDefinitions.Item("PartTransformCmd").Execute


End Sub


------------------
MfG
Ralf

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

MIKZ
Mitglied


Sehen Sie sich das Profil von MIKZ an!   Senden Sie eine Private Message an MIKZ  Schreiben Sie einen Gästebucheintrag für MIKZ

Beiträge: 2
Registriert: 21.04.2020

erstellt am: 22. Apr. 2020 08:53    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Wow!!

Vielen herzlichen Dank rkauskh!!

Genau so haben wir uns das vorgestellt. Das optimiert unseren Worflow extrem.

Zum "wozu": Wir zeichnen Grundrisse im Inventor und exportieren diese um sie in einem 3D-Visualisierungsprogramm zu belgen und Fotorealistisch zu rendern. Leider ist das Problem das eine rechteckige Extrusion im 3D Programm komplett belegt wird. Deswegen ist unser Workaround eine Umgrenzungsfläche zu erstellen damit das 3D Programm diese seperat erkennt und wir sie belegen können.


Falls es eine Möglichkeit gibt im Inventor einen Volumenkörper in seine einzelnen Flächen zu zerlegen wäre das super aber so eine Funktion kenne ich nicht.


Nochmal vielen Dank für den Code!  Ich versuch ihn auch gleich mal zu studieren damit ich meine Fähigkeiten in VBA etwas verbessern kann.

Grüße und bleibt gesund!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz